Modify

Opened 10 years ago

Closed 10 years ago

#182 closed setup (fixed)

Email2trac on Dreamhost

Reported by: shildebrand@… Owned by: bas
Priority: major Milestone:
Component: email2trac Version: trunk
Keywords: Cc:

Description

I'm trying to install on Dreamhost but having trouble. Would it be
possible
to get into this deeper with you to try and figure out what's going
on?

Attachments (0)

Change History (21)

comment:1 Changed 10 years ago by bas

  • Status changed from new to assigned
  • Type changed from defect to setup

Can you give me some more info about how do install the package? I saw that you also posted on the trac mail list.I am not familiair with Dreamhost. Do you have access to your trac installation?

comment:3 Changed 10 years ago by shildebrand@…

I don't have access to directories like /etc, so I don't know if I can
install this on a shared hosting environment. Is there any way I could
install this as a Python egg or something?

On Fri, Feb 26, 2010 at 12:03 AM, email2trac <email2trac@sara.nl>
wrote:

comment:4 Changed 10 years ago by bas

Did install a from a package or source? Next question is are you familiar with install software from scratch?

comment:5 Changed 10 years ago by shildebrand@…

I have installed trac from scratch before and it worked. Here's what I
just
tried:

$ ./configure --prefix=/home/dreamhostuser/packages

$ make
gcc -DMTA_USER=\"nobody\" -DTRAC_USER=\"www-data\"
-DTRAC_SCRIPT_NAME=\"email2trac\"
-DTRAC_SCRIPT_PATH=\"/home/dreamhostuser/packages/bin\" -DDEBUG=0 -o
run_email2trac run_email2trac.c

$ make install
if [ ! -f  //home/dreamhostuser/packages/etc/email2trac.conf ] ; \
        then \
                ./install-sh -c -m 644 -o root email2trac.conf
//home/dreamhostuser/packages/etc/email2trac.conf ;\
        fi
chown: changing ownership of
`//home/dreamhostuser/packages/etc/#inst.3561#': Operation not
permitted
make: *** [install-conf] Error 1

On Fri, Feb 26, 2010 at 12:18 AM, email2trac <email2trac@sara.nl>
wrote:

comment:6 Changed 10 years ago by bas

Oke. The problems is is wants to set the owner to root for email2trac.conf and run_email2trac. I wil make a patch for it. You can change replace the 'root' user with another user in Makefile.in, eg: the userid that you use to compile the user package.

comment:7 Changed 10 years ago by shildebrand@…

Okay that worked! But I don't know what's happening now. How does my
trac
installation know of incoming emails? Where do I set the POP/IMAP
info?

Also I have multiple trac core files, one for regular trac and one for
dreamy-trac. I'm hope this plugin didn't install to the one I'm not
using.

On Mon, Mar 1, 2010 at 12:45 AM, email2trac <email2trac@sara.nl>
wrote:

comment:8 Changed 10 years ago by bas

Just a question. Do you have MTA setup on this host. To be short can you modify /etc/aliease?

If not then you have to setup fetchmail:

for now there is no support for POP/IMAP in email2trac. Fetchmail is used for that

comment:8 Changed 10 years ago by bas

(In [325]) configure, Makefile.in, configure.in:

  • added environment variable INSTALL_USER. if set use this user to chown:
    • email2trac.conf
    • run_email2trac ( is not needed when we it is not equal 'root' see #182

comment:10 Changed 10 years ago by shildebrand@…

That worked!

So what I'd like to do is have the reporter changed to a non-email
address,
so they don't get emailed back.

And I'd like to keep always_notify_reporter = true because I'd like
normalticket reporters to receive emails.

Is this possible?

On Mon, Mar 1, 2010 at 3:31 AM, email2trac <email2trac@sara.nl> wrote:

comment:11 Changed 10 years ago by bas

Just q question what is the difference between someone that emails a problem and someone that submits it via the browser?

It can be the same user and i think it is confusing for the user that it may get a respone.

It can be done:

                if self.get_config('notification', 'smtp_enabled') in ['true']:
                        self.notification = 1
                else:
                        self.notification = 0

set both cases to: 0

The consequence is that nobody recceives any email. The whole trac notification system is disabled!

comment:12 Changed 10 years ago by shildebrand@…

I'm confused, does this code only turn off replies to people who are
emailing in, or to everybody?

I definitely want people who are submitting via the site to receive
replies,
as well as "assigned to" and "CC:" people.

In this case the submitting user isn't expecting a response, it's like
a
support ticket system.

On Wed, Mar 3, 2010 at 2:44 AM, email2trac <email2trac@sara.nl> wrote:

comment:13 Changed 10 years ago by bas

All depend on the configuration in trac.ini. Email2trac and the website are parsing that file. So if you change something in email2trac it will not interfere with the website. Only trac,ini changes effect both programs.

Now for the change i suggested is that you completely disable the notification for email2trac. That means no mail is sent at all. If you have configure, eg:

  • smtp_always_cc

The configured email address will also not get any email.

comment:14 Changed 10 years ago by bas

I re-arranged some code an now it is possible to override the reporter ticket field, eg:

[test_bas]
default_reporter: email2trac

For explanation see:

So now mail is sent to the reporter and the rest of the notification system is still operational

comment:14 Changed 10 years ago by bas

(In [326]) email2trac.py.in:

  • moved the function self.set_reply_fields() so we can override the values with default ones specified in email2trac.conf, mail subject line or mail body, see #182

comment:16 Changed 10 years ago by shildebrand@…

Thanks for being so responsive and helping with this!

So basically what we're going after is that we want to know who
submitted
the ticket, but don't want them to be the "reporter" and don't want
trac to
email them. When we turned on the mailto_link, it put the person's
email in
the description, which was good, but then it emailed them. Do you
think it's
possible to turn the initial email reply off? And then I guess from
there,
trac won't be able to email the reporter because it won't be an email
address.

On Wed, Mar 3, 2010 at 6:36 AM, email2trac <email2trac@sara.nl> wrote:

comment:17 Changed 10 years ago by bas

  • Version changed from 1.0.0 to trunk

What you can do is turn email2trac on end as i suggested put this in the email2trac.conf:

default_reporter: email2trac
}}]
Then nothing will be emailed an you still have the reporters email address with the mailto option

This functionality is in the new trunk version [326]

Maybe we have to come with a new option. I have to think about it. But the above suggestion works

comment:19 Changed 10 years ago by shildebrand@…

It seems that it still emails the submitter if the mailto and reporter
options are both on. Is there a way to suppress just the initial
email?

On Mon, Mar 8, 2010 at 5:11 AM, email2trac <email2trac@sara.nl> wrote:

comment:20 Changed 10 years ago by bas

Just to make sure. You use the latest versoin from svn? What is the value of the reporter field. Must be: email2trac

Or did you set an email address for the email2trac user in the settings tab

comment:21 Changed 10 years ago by shildebrand@…

Right now everything is working, with email2trac in the reporter
field,
and mailto_link turned off. But I need to know the details of the
email such
as name and email address, in case I want to communicate with that
person.
Is it possible to prepend that information in the ticket description?

On Mon, Mar 8, 2010 at 11:33 PM, email2trac <email2trac@sara.nl>
wrote:

comment:22 Changed 10 years ago by bas

Just a remark. Th emailto line in a ticket as nothing to with if the person who sent the email get a response. It just info in the ticket. Exactly the info you need. It nust a big or something else that sends the response

comment:23 Changed 10 years ago by bas

  • Resolution set to fixed
  • Status changed from assigned to closed

I will close this ticket and if you have feature request or just questions. Just open a new ticket

Add Comment

Modify Ticket

Change Properties
Action
as closed The owner will remain bas.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.